Index: branches/SHM-upgrade/cfg/encoder_intra_scalable.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_intra_scalable.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_intra_scalable.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main      #Profile for the whole bitstream
+Profile1                      : main               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_intra_scalable10.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_intra_scalable10.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_intra_scalable10.cfg	(revision 959)
@@ -1,8 +1,10 @@
 #======== File I/O =====================
 BitstreamFile                 : str.bin
-#ReconFile                     : rec.yuv
 
 #======== Profile ================
-Profile                       : scalable10
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main10      #Profile for the whole bitstream
+Profile1                      : main10               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main10      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main      #Profile for the whole bitstream
+Profile1                      : main               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable10.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable10
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main10      #Profile for the whole bitstream
+Profile1                      : main10               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main10      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_lowdelay_scalable.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_lowdelay_scalable.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_lowdelay_scalable.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main      #Profile for the whole bitstream
+Profile1                      : main               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_lowdelay_scalable10.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_lowdelay_scalable10.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_lowdelay_scalable10.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable10
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main10      #Profile for the whole bitstream
+Profile1                      : main10               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main10      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_randomaccess_scalable.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_randomaccess_scalable.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_randomaccess_scalable.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main      #Profile for the whole bitstream
+Profile1                      : main               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/encoder_randomaccess_scalable10.cfg
===================================================================
--- branches/SHM-upgrade/cfg/encoder_randomaccess_scalable10.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/encoder_randomaccess_scalable10.cfg	(revision 959)
@@ -4,5 +4,8 @@
 
 #======== Profile ================
-Profile                       : scalable10
+NumProfileTierLevel           : 3
+Profile0                      : scalable-main10      #Profile for the whole bitstream
+Profile1                      : main10               #Profile for the base layer --- this will be ignored when BL is not HEVC
+Profile2                      : scalable-main10      #Profile for the enhancement layer
 
 #======== Unit definition ================
Index: branches/SHM-upgrade/cfg/layers.cfg
===================================================================
--- branches/SHM-upgrade/cfg/layers.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/layers.cfg	(revision 959)
@@ -59,2 +59,3 @@
 # ListOfOutputLayers0 need not be specified
 ListOfOutputLayers1	                 : 1
+ListOfProfileTierLevelOls1           : 1 2
Index: branches/SHM-upgrade/cfg/layers_avcbase.cfg
===================================================================
--- branches/SHM-upgrade/cfg/layers_avcbase.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/layers_avcbase.cfg	(revision 959)
@@ -55,2 +55,3 @@
 # ListOfOutputLayers0 need not be specified
 ListOfOutputLayers1	                 : 1
+ListOfProfileTierLevelOls1           : 1 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -22,4 +26,8 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -28,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -29,2 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -22,4 +26,8 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -28,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -29,2 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -22,4 +26,8 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -28,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -29,2 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : O:/Kimono1_1920x1080_24.yuv
@@ -22,4 +26,8 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -28,3 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -29,2 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -22,4 +26,8 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -28,3 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -29,2 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 959)
@@ -1,5 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -13,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -23,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -24,4 +27,5 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
 
 #============= Reference location offset parameters ==================
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -24,4 +27,5 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
 
 #============= Reference location offset parameters ==================
Index: branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg	(revision 959)
@@ -2,9 +2,11 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
-InputFile0                    : BT709_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
+InputFile0                    : O:\BT709_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
 FrameRate0                    : 60          # Frame Rate per second
 SourceWidth0                  : 1920        # Input  frame width
@@ -16,6 +18,7 @@
 InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
-InputFile1                    : BT2020_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
+InputFile1                    : O:\BT2020_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
 FrameRate1                    : 60          # Frame Rate per second
 SourceWidth1                  : 1920        # Input  frame width
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 5.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 5.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_Birthday_3840x2160_60_10bit.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_BirthdayFlashPart1_1920x1080_60_10bit_zerophase_0.9pi.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 5.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 5.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_BirthdayFlashPart1_3840x2160_60_10bit.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_BirthdayFlashPart2_1920x1080_60_10bit_zerophase_0.9pi.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 5.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 5.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_BirthdayFlashPart2_3840x2160_60_10bit.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 250         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_Parakeets_1920x1080_50_10bit_zerophase_0.9pi.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 250         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 5.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 5.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_Parakeets_3840x2160_50_10bit.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_TableCar_1920x1080_60_10bit_zerophase_0.9pi.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg	(revision 959)
@@ -2,6 +2,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 5.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 5.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -16,4 +18,5 @@
 InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex0                : 1
 
 InputFile1                    : BT2020_TableCar_3840x2160_60_10bit.yuv
@@ -27,2 +30,3 @@
 InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -24,4 +27,5 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
 
 #============= Reference location offset parameters ==================
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -24,4 +27,5 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
 
 #============= Reference location offset parameters ==================
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -24,4 +27,5 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
 
 #============= Reference location offset parameters ==================
Index: branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 957)
+++ branches/SHM-upgrade/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 959)
@@ -1,6 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
-Level                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -14,4 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -24,2 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 957)
+++ branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 959)
@@ -65,4 +65,9 @@
   MAINREXT = 4,
   HIGHTHROUGHPUTREXT = 5, // Placeholder profile for development
+#if MULTIPLE_PTL_SUPPORT
+  MULTIVIEWMAIN = 6,
+  SCALABLEMAIN = 7,
+  SCALABLEMAIN10 = 7,
+#endif
   // The following are RExt profiles, which would map to the MAINREXT profile idc.
   // The enumeration indicates the bit-depth constraint in the bottom 2 digits
@@ -338,4 +343,9 @@
   {"main-RExt",            Profile::MAINREXT           },
   {"high-throughput-RExt", Profile::HIGHTHROUGHPUTREXT },
+#if MULTIPLE_PTL_SUPPORT
+  {"multiview-main",       Profile::MULTIVIEWMAIN      },       //This is not used in this software
+  {"scalable-main",        Profile::SCALABLEMAIN       },
+  {"scalable-main10",      Profile::SCALABLEMAIN10     },
+#endif
 };
 
@@ -372,4 +382,9 @@
     {"main_444_12_intra",  MAIN_444_12_INTRA},
     {"main_444_16_intra",  MAIN_444_16_INTRA},
+#if MULTIPLE_PTL_SUPPORT
+    {"multiview-main",     MULTIVIEWMAIN    },
+    {"scalable-main",      SCALABLEMAIN     },
+    {"scalable-main10",    SCALABLEMAIN10   },
+#endif
 };
 
@@ -515,4 +530,14 @@
   return readStrToEnum(strToScalingListMode, sizeof(strToScalingListMode)/sizeof(*strToScalingListMode), in, mode);
 }
+
+#if MULTIPLE_PTL_SUPPORT
+namespace Profile
+{
+  static inline istream& operator >> (istream &in, Name &profile)
+  {
+    return readStrToEnum(strToProfile, sizeof(strToProfile)/sizeof(*strToProfile), in, profile);
+  }
+}
+#endif
 
 template <class T>
@@ -1014,5 +1039,5 @@
   string inputColourSpaceConvert;
 #if MULTIPLE_PTL_SUPPORT
-  ExtendedProfileName extendedProfile[NUM_POSSIBLE_LEVEL];
+  ExtendedProfileName extendedProfile[MAX_NUM_LAYER_IDS + 1];
 #else
   ExtendedProfileName extendedProfile;
@@ -1266,20 +1291,21 @@
   // Profile and level
 #if MULTIPLE_PTL_SUPPORT
-  ("NumProfileTierLevel",                             m_numPTLInfo,                                         2, "Number of Profile, Tier and Level information")
-  ("Profile%d",                                       extendedProfile,               NONE, NUM_POSSIBLE_LEVEL,  "Profile name to use for encoding. Use main (for main), main10 (for main10), main-still-picture, main-RExt (for Range Extensions profile), any of the RExt specific profile names, or none")
-  ("Level%d",                                         m_levelList,            Level::NONE, NUM_POSSIBLE_LEVEL, "Level limit to be used, eg 5.1, or none")
-  ("Tier%d",                                          m_levelTierList,        Level::MAIN, NUM_POSSIBLE_LEVEL, "Tier to use for interpretation of --Level (main or high only)")
+  ("NumProfileTierLevel",                             m_numPTLInfo,                                         1, "Number of Profile, Tier and Level information")
+  ("Profile%d",                                       extendedProfile,          NONE, (MAX_NUM_LAYER_IDS + 1),  "Profile name to use for encoding. Use main (for main), main10 (for main10), main-still-picture, main-RExt (for Range Extensions profile), any of the RExt specific profile names, or none")
+  ("Level%d",                                         m_levelList,       Level::NONE, (MAX_NUM_LAYER_IDS + 1), "Level limit to be used, eg 5.1, or none")
+  ("Tier%d",                                          m_levelTierList,   Level::MAIN, (MAX_NUM_LAYER_IDS + 1), "Tier to use for interpretation of --Level (main or high only)")
   ("MaxBitDepthConstraint",                           tmpBitDepthConstraint,                               0u, "Bit depth to use for profile-constraint for RExt profiles. 0=automatically choose based upon other parameters")
   ("MaxChromaFormatConstraint",                       tmpConstraintChromaFormat,                            0, "Chroma-format to use for the profile-constraint for RExt profiles. 0=automatically choose based upon other parameters")
   ("IntraConstraintFlag",                             tmpIntraConstraintFlag,                           false, "Value of general_intra_constraint_flag to use for RExt profiles (not used if an explicit RExt sub-profile is specified)")
   ("LowerBitRateConstraintFlag",                      tmpLowerBitRateConstraintFlag,                     true, "Value of general_lower_bit_rate_constraint_flag to use for RExt profiles")
-  
-  ("ProgressiveSource%d",                             m_progressiveSourceFlagList,   false, NUM_POSSIBLE_LEVEL, "Indicate that source is progressive")
-  ("InterlacedSource%d",                              m_interlacedSourceFlagList,    false, NUM_POSSIBLE_LEVEL, "Indicate that source is interlaced")
-  ("NonPackedSource%d",                               m_nonPackedConstraintFlagList, false, NUM_POSSIBLE_LEVEL, "Indicate that source does not contain frame packing")
-  ("FrameOnly%d",                                     m_frameOnlyConstraintFlagList, false, NUM_POSSIBLE_LEVEL, "Indicate that the bitstream contains only frames")
+
+  ("ProfileCompatibility%d",                          m_profileCompatibility, Profile::NONE, (MAX_NUM_LAYER_IDS + 1), "Compatible profile to be used when encoding")
+  ("ProgressiveSource%d",                             m_progressiveSourceFlagList,   false, (MAX_NUM_LAYER_IDS + 1), "Indicate that source is progressive")
+  ("InterlacedSource%d",                              m_interlacedSourceFlagList,    false, (MAX_NUM_LAYER_IDS + 1), "Indicate that source is interlaced")
+  ("NonPackedSource%d",                               m_nonPackedConstraintFlagList, false, (MAX_NUM_LAYER_IDS + 1), "Indicate that source does not contain frame packing")
+  ("FrameOnly%d",                                     m_frameOnlyConstraintFlagList, false, (MAX_NUM_LAYER_IDS + 1), "Indicate that the bitstream contains only frames")
   
   ("LayerPTLIndex%d",                                 cfg_layerPTLIdx,               0, MAX_VPS_LAYER_ID_PLUS1, "Index of PTL for each layer")
-  ("ListOfProfileTierLevelOls%d",                     cfg_listOfLayerPTLOfOlss, string(""), MAX_VPS_LAYER_ID_PLUS1, "PTL Index for each layer in each OLS except the first OLS. The PTL index for layer in the first OLS is set to 1")
+  ("ListOfProfileTierLevelOls%d",                     cfg_listOfLayerPTLOfOlss, string(""), MAX_VPS_OUTPUT_LAYER_SETS_PLUS1, "PTL Index for each layer in each OLS except the first OLS. The PTL index for layer in the first OLS is set to 1")
 #else
   ("Profile",                                         extendedProfile,                                   NONE, "Profile name to use for encoding. Use main (for main), main10 (for main10), main-still-picture, main-RExt (for Range Extensions profile), any of the RExt specific profile names, or none")
@@ -2622,12 +2648,21 @@
     }
 #if MULTIPLE_PTL_SUPPORT
-    if( olsCtr > startOlsCtr ) // Non-default OLS
-    {
-      scanStringToArray( cfg_listOfLayerPTLOfOlss[olsCtr], m_numLayerInIdList[m_outputLayerSetIdx[olsCtr - startOlsCtr - 1]], "List of PTL for each layer in OLS", m_listOfLayerPTLofOlss[olsCtr] );
-    }
-    else
-    {
-      scanStringToArray( cfg_listOfLayerPTLOfOlss[olsCtr], m_numLayerInIdList[olsCtr], "List of PTL for each layer in OLS", m_listOfLayerPTLofOlss[olsCtr] );
-    }
+    Int olsToLsIndex = (olsCtr > startOlsCtr) ? m_outputLayerSetIdx[olsCtr - m_numLayerSets] : olsCtr;
+    scanStringToArray( cfg_listOfLayerPTLOfOlss[olsCtr], m_numLayerInIdList[olsToLsIndex], "List of PTL for each layers in OLS", m_listOfLayerPTLofOlss[olsCtr] );
+    //For conformance checking
+    //Conformance of a layer in an output operation point associated with an OLS in a bitstream to the Scalable Main profile is indicated as follows:
+    //If OpTid of the output operation point is equal to vps_max_sub_layer_minus1, the conformance is indicated by general_profile_idc being equal to 7 or general_profile_compatibility_flag[ 7 ] being equal to 1
+    //Conformance of a layer in an output operation point associated with an OLS in a bitstream to the Scalable Main 10 profile is indicated as follows:
+    //If OpTid of the output operation point is equal to vps_max_sub_layer_minus1, the conformance is indicated by general_profile_idc being equal to 7 or general_profile_compatibility_flag[ 7 ] being equal to 1
+    //The following assert may be updated / upgraded to take care of general_profile_compatibility_flag.
+    for ( Int ii = 1; ii < m_numLayerInIdList[olsToLsIndex]; ii++)
+    {
+      if (m_layerSetLayerIdList[olsToLsIndex][ii - 1] != 0 && m_layerSetLayerIdList[olsToLsIndex][ii] != 0)  //Profile / profile compatibility of enhancement layers must indicate the same profile.
+      {
+        assert( (m_profileList[m_listOfLayerPTLofOlss[olsCtr][ii]] == m_profileList[m_listOfLayerPTLofOlss[olsCtr][ii - 1]]) ||
+                (m_profileList[m_listOfLayerPTLofOlss[olsCtr][ii]] == m_profileCompatibility[m_listOfLayerPTLofOlss[olsCtr][ii - 1]]) ||   
+                (m_profileCompatibility[m_listOfLayerPTLofOlss[olsCtr][ii]] == m_profileList[m_listOfLayerPTLofOlss[olsCtr][ii - 1]]) );
+      }
+    }   
 #endif
   }
Index: branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.h	(revision 957)
+++ branches/SHM-upgrade/source/App/TAppEncoder/TAppEncCfg.h	(revision 959)
@@ -131,11 +131,12 @@
 #if MULTIPLE_PTL_SUPPORT
   Int           m_numPTLInfo;
-  Profile::Name m_profileList[NUM_POSSIBLE_LEVEL];
-  Level::Tier   m_levelTierList[NUM_POSSIBLE_LEVEL];
-  Level::Name   m_levelList[NUM_POSSIBLE_LEVEL];
-  Bool          m_progressiveSourceFlagList[NUM_POSSIBLE_LEVEL];
-  Bool          m_interlacedSourceFlagList[NUM_POSSIBLE_LEVEL];
-  Bool          m_nonPackedConstraintFlagList[NUM_POSSIBLE_LEVEL];
-  Bool          m_frameOnlyConstraintFlagList[NUM_POSSIBLE_LEVEL];
+  Profile::Name m_profileList[MAX_NUM_LAYER_IDS + 1];
+  Level::Tier   m_levelTierList[MAX_NUM_LAYER_IDS + 1];
+  Level::Name   m_levelList[MAX_NUM_LAYER_IDS + 1];
+  Profile::Name m_profileCompatibility[MAX_NUM_LAYER_IDS + 1];
+  Bool          m_progressiveSourceFlagList[MAX_NUM_LAYER_IDS + 1];
+  Bool          m_interlacedSourceFlagList[MAX_NUM_LAYER_IDS + 1];
+  Bool          m_nonPackedConstraintFlagList[MAX_NUM_LAYER_IDS + 1];
+  Bool          m_frameOnlyConstraintFlagList[MAX_NUM_LAYER_IDS + 1];
 
   std::vector< std::vector<Int> > m_listOfLayerPTLofOlss;
Index: branches/SHM-upgrade/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-upgrade/source/App/TAppEncoder/TAppEncTop.cpp	(revision 957)
+++ branches/SHM-upgrade/source/App/TAppEncoder/TAppEncTop.cpp	(revision 959)
@@ -213,5 +213,5 @@
     profileTierLevel.setTierFlag(m_levelTierList[ii]);
     profileTierLevel.setProfileIdc(m_profileList[ii]);
-    profileTierLevel.setProfileCompatibilityFlag(m_profileList[ii], 1);
+    profileTierLevel.setProfileCompatibilityFlag(m_profileCompatibility[ii], 1);
     profileTierLevel.setProgressiveSourceFlag(m_progressiveSourceFlagList[ii]);
     profileTierLevel.setInterlacedSourceFlag(m_interlacedSourceFlagList[ii]);
Index: branches/SHM-upgrade/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-upgrade/source/Lib/TLibCommon/TComSlice.h	(revision 957)
+++ branches/SHM-upgrade/source/Lib/TLibCommon/TComSlice.h	(revision 959)
@@ -628,5 +628,5 @@
 #if SVC_EXTENSION
 #if MULTIPLE_PTL_SUPPORT
-  TComPTL     m_pcPTLList[NUM_POSSIBLE_LEVEL];
+  TComPTL     m_pcPTLList[MAX_NUM_LAYER_IDS + 1];
 #endif
 #if DERIVE_LAYER_ID_LIST_VARIABLES
Index: branches/SHM-upgrade/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-upgrade/source/Lib/TLibCommon/TypeDef.h	(revision 957)
+++ branches/SHM-upgrade/source/Lib/TLibCommon/TypeDef.h	(revision 959)
@@ -247,5 +247,4 @@
 #endif
 #define MULTIPLE_PTL_SUPPORT             1      ///< Profile, tier and level signalling
-#define NUM_POSSIBLE_LEVEL               13
 
 #define VPS_DPB_SIZE_TABLE               1      ///< JCTVC-O0217: DPB operations: signaling DPB-related parameters
@@ -930,4 +929,9 @@
     MAINREXT = 4,
     HIGHTHROUGHPUTREXT = 5,
+#if MULTIPLE_PTL_SUPPORT
+    MULTIVIEWMAIN = 6,
+    SCALABLEMAIN = 7,
+    SCALABLEMAIN10 = 7,
+#endif
   };
 }
Index: branches/SHM-upgrade/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-upgrade/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 957)
+++ branches/SHM-upgrade/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 959)
@@ -3163,6 +3163,21 @@
       if( vps->getNecessaryLayerFlag(i, j) )
       {
-        READ_CODE( numBitsForPtlIdx, uiCode, "profile_level_tier_idx[i]" ); 
+        READ_CODE( numBitsForPtlIdx, uiCode, "profile_level_tier_idx[i]" );
         vps->setProfileLevelTierIdx(i, j, uiCode );
+
+#if MULTIPLE_PTL_SUPPORT
+        //For conformance checking
+        //Conformance of a layer in an output operation point associated with an OLS in a bitstream to the Scalable Main profile is indicated as follows:
+        //If OpTid of the output operation point is equal to vps_max_sub_layer_minus1, the conformance is indicated by general_profile_idc being equal to 7 or general_profile_compatibility_flag[ 7 ] being equal to 1
+        //Conformance of a layer in an output operation point associated with an OLS in a bitstream to the Scalable Main 10 profile is indicated as follows:
+        //If OpTid of the output operation point is equal to vps_max_sub_layer_minus1, the conformance is indicated by general_profile_idc being equal to 7 or general_profile_compatibility_flag[ 7 ] being equal to 1
+        //The following assert may be updated / upgraded to take care of general_profile_compatibility_flag.
+        if (j > 0 && vps->getLayerSetLayerIdList(layerSetIdxForOutputLayerSet, j) != 0 && vps->getLayerSetLayerIdList(layerSetIdxForOutputLayerSet, j - 1) != 0)
+        {
+          assert(vps->getPTL(vps->getProfileLevelTierIdx(i, j))->getGeneralPTL()->getProfileIdc() == vps->getPTL(vps->getProfileLevelTierIdx(i, j - 1))->getGeneralPTL()->getProfileIdc() ||
+                 vps->getPTL(vps->getProfileLevelTierIdx(i, j - 1))->getGeneralPTL()->getProfileCompatibilityFlag(vps->getPTL(vps->getProfileLevelTierIdx(i, j))->getGeneralPTL()->getProfileIdc()) ||  
+                 vps->getPTL(vps->getProfileLevelTierIdx(i, j))->getGeneralPTL()->getProfileCompatibilityFlag(vps->getPTL(vps->getProfileLevelTierIdx(i, j - 1))->getGeneralPTL()->getProfileIdc())  );
+        }
+#endif
       }
     }
